import java.awt.*;


public class PrintArray extends Frame { 
   boolean inAnApplet = true;
   String EXIT_BUTTON = " Exit ";
   String defStr="";
   TextArea textArea;

   PrintArray(TwoDArrayObject array) { 
     defStr = "Array Name: "+array.name;
     defStr += "("+array.lb1+":"+array.ub1+","+
		          array.lb2+":"+array.ub2+")";
     for (int i=array.lb1; i<=array.ub1; i++) {
       defStr += "Row "+i+":";
       for (int j=array.lb2; i<=array.ub2; j++) {
	 defStr += System.out.print(" "+array.data[i][j]);
       }
       defStr = "\n";
     }

      this.setLayout(new BorderLayout());
      textArea = new TextArea(defStr, 50,50);
      add("Center", textArea);
      add("South", new Button(EXIT_BUTTON));

   }

   //--------------------------------------------
   public boolean handleEvent(Event evt) {
      if (evt.id == Event.WINDOW_DESTROY) System.exit(0);
      return super.handleEvent(evt);
   }
   //--------------------------------------------
   public boolean action(Event evt, Object arg) {
      if ((evt.target instanceof Button) &&
          arg.equals(EXIT_BUTTON)) {
          if (inAnApplet) {
             dispose();
             return(true);
          }
          else 
            System.exit(0);
       }
       else return super.action(evt, arg);
       return true;
   }

}
